#!/bin/bash

naxml="NativeAccess.xml"
svcdir="/Library/Application Support/Native Instruments/Service Center"

# Restore Native Access XML database
if [ ! -f "$svcdir/$naxml.bak" ]; then
  echo "$naxml.bak not found"
  exit 1
fi

sudo rm -f "$svcdir/$naxml"
sudo cp    "$svcdir/$naxml.bak" "$svcdir/$naxml"
sudo rm -f "$svcdir/$naxml.bak"

echo "🎷 Restored original Native Access XML database"
read -p "🎹 Press Enter to continue..."
